package com.example.wc24h;

import android.app.Activity;
import android.graphics.Color;
import android.support.annotation.NonNull;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.TextView;

class SelectionListAdapter extends ArrayAdapter<String> {

    private MainActivity    mainActivity;
    int                     selected = -1;

    SelectionListAdapter(MainActivity mainActivity) {
        super(mainActivity, R.layout.list_item, R.id.item_text);

        this.mainActivity = mainActivity;
    }

    //called when rendering the list
    @NonNull
    public View getView(int position, View convertView, @NonNull ViewGroup parent) {

        String row = getItem(position);

        View view;
        if (convertView != null) {
            view = convertView;
        } else {
            LayoutInflater inflater = (LayoutInflater) mainActivity.getSystemService(Activity.LAYOUT_INFLATER_SERVICE);
            view = inflater.inflate(R.layout.list_item, null);
        }

        TextView item = (TextView) view.findViewById(R.id.item_text);
        item.setText(row);
        if (position == selected) {
            view.setBackgroundColor(0xce75ddff);
        } else {
            view.setBackgroundColor(Color.WHITE);
        }

        return view;
    }
}